Man-in-the-Middle (MitM)

Affecting tiny-json-http package, versions <7.0.0

Do your applications use this vulnerable package? Test your applications

Overview

tiny-json-http is a minimalist HTTP client for GET and POSTing JSON payloads.

Affected versions of this package are vulnerable to Man-in-the-Middle (MitM) attacks. It contains a Missing SSL certificate validation vulnerability in The libraries core functionality is affected. that can result in Exposes the user to man-in-the-middle attacks.

Remediation

Upgrade tiny-json-http to version 7.0.0 or higher.

References

CVSS Score

5.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Credit
Unknown
CVE
CVE-2018-1000096
CWE
CWE-300
Snyk ID
npm:tiny-json-http:20180214
Disclosed
14 Feb, 2018
Published
15 Mar, 2018